cascading.util

## Class SortedListMultiMap<K,V>

- java.lang.Object
- - cascading.util.MultiMap<List<V>,K,V>
  - - cascading.util.SortedListMultiMap<K,V>

- All Implemented Interfaces:
    Serializable

      public class SortedListMultiMap<K,V>
      extends MultiMap<List<V>,K,V>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SortedListMultiMap()`
    `SortedListMultiMap(Comparator<K> comparator, int initialListSize)`
    `SortedListMultiMap(int initialListSize)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected List<V>` | `createCollection()`
    `protected Map<K,List<V>>` | `createMap()`
    `protected List<V>` | `emptyCollection()`
    `Map.Entry<K,List<V>>` | `firstEntry()`
    `V` | `get(K key, int pos)`
    `Map.Entry<K,List<V>>` | `pollFirstEntry()`
    `V` | `set(K key, int pos, V value)`

    - ### Methods inherited from class cascading.util.MultiMap

      `addAll, addAll, addAll, containsKey, equals, getAllValues, getEntries, getKeys, getKeysFor, getMap, getMultiValues, getValues, getValues, hadKey, hashCode, hasKey, isEmpty, put, remove, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SortedListMultiMap

          public SortedListMultiMap()

    - #### SortedListMultiMap

          public SortedListMultiMap(int initialListSize)

    - #### SortedListMultiMap

          public SortedListMultiMap(Comparator<K> comparator,
                            int initialListSize)

  - ### Method Detail

    - #### get

          public V get(K key,
              int pos)

    - #### set

          public V set(K key,
              int pos,
              V value)

    - #### createMap

          protected Map<K,List<V>> createMap()

      Specified by:
        `createMap` in class `MultiMap<List<V>,K,V>`

    - #### createCollection

          protected List<V> createCollection()

      Specified by:
        `createCollection` in class `MultiMap<List<V>,K,V>`

    - #### emptyCollection

          protected List<V> emptyCollection()

      Specified by:
        `emptyCollection` in class `MultiMap<List<V>,K,V>`

    - #### firstEntry

          public Map.Entry<K,List<V>> firstEntry()

    - #### pollFirstEntry

          public Map.Entry<K,List<V>> pollFirstEntry()

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.